# Greet Plugin for Limnoria

A simple plugin that greets users when they join a channel, with built-in flood protection and timeout features.

## Features

- Set custom greeting messages per channel
- Timeout between join and greeting to handle multiple users joining at once
- Cooldown feature to prevent flooding for users with unstable connections
- Simple commands to enable, disable, or clear greetings
- Debug mode for easier troubleshooting

## Installation

1. Copy the `Greet` directory to your Limnoria's plugins directory:
   ```
   ~/yourbot/plugins/
   ```

2. Load the plugin:
   ```
   @load Greet
   ```

## Commands

The plugin now uses namespaced commands to avoid conflicts with other plugins:

- `greet #channel Your greeting message` - Sets the greeting message and enables it
- `greetstatus #channel` - Shows the current greeting status and message
- `greeton #channel` - Enables the greeting for a channel
- `greetoff #channel` - Disables the greeting for a channel
- `greetclear #channel` - Clears the greeting message and disables it
- `greettimeout #channel 5` - Sets the timeout in seconds (default is 3)
- `greettest #channel` - Tests the greeting by sending it immediately
- `greettrigger #channel` - Simulates a join event with timeout (owner only)
- `greetdebug on|off` - Enables or disables debug mode (owner only)

## Examples

```
.greet #a11y-offtopic Welcome to the off-topic channel!
.greetstatus #a11y-offtopic
.greettimeout #a11y-offtopic 5
.greetoff #a11y-offtopic
.greeton #a11y-offtopic
.greetclear #a11y-offtopic
.greettest #a11y-offtopic
```

## How It Works

When a user joins a channel, the plugin checks if greetings are enabled for that channel. If enabled, it waits for the configured timeout period to see if more users join. After the timeout expires, it sends the greeting message.

The plugin also implements a cooldown period (5 minutes by default) for each user to prevent multiple greetings to the same user in case of connection issues.

## Troubleshooting

If you're experiencing issues:

1. Enable debug mode: `.greetdebug on` (owner only)
2. Test the greeting: `.greettest #channel`
3. Check if the greeting is enabled: `.greetstatus #channel`
4. Try triggering a simulated join: `.greettrigger #channel` (owner only)

The debug mode will output information about join events and greeting attempts to help diagnose any problems.
